=== debian/changelog ===
ros-noetic-sbg-driver (3.1.1-7buster) buster; urgency=high

  * fix missing dependencies and build status link
    - missing dep on nav_msgs, tf2_geometry_msgs, tf2_ros and tf2_msgs
    - fix build status link in readme
  * update doc with odometry message
  * Contributors: Michael Zemb

 -- SBG Systems <support@sbg-systems.com>  Thu, 14 Oct 2021 22:00:00 -0000

ros-noetic-sbg-driver (3.1.0-7buster) buster; urgency=high

  * Feature #44 <https://github.com/SBG-Systems/sbg_ros_driver/issues/44> - odometry output
  * fix #66 <https://github.com/SBG-Systems/sbg_ros_driver/issues/66> - status description for SbgGpsHdt msg
  * fix #66 <https://github.com/SBG-Systems/sbg_ros_driver/issues/66> - missing heading and pitch accuracies in sbgGpsHdt msg
  * add ellipse D default configuration
  * update README
  * Contributors: Michael Zemb

 -- SBG Systems <support@sbg-systems.com>  Tue, 05 Oct 2021 22:00:00 -0000

ros-noetic-sbg-driver (3.0.0-7buster) buster; urgency=high

  * Merge pull request #62 <https://github.com/SBG-Systems/sbg_ros_driver/issues/62> from SBG-Systems/devel
    Devel
  * Merge pull request #61 <https://github.com/SBG-Systems/sbg_ros_driver/issues/61> from SBG-Systems/fix-frame-convention
    Fix frame convention errors
  * Make sure only delta angles/velocities are used
    + syntax fixes
  * Improved comments & README file
  * Fix missing checks on UTC / Unix time computation
  * Updated sbgECom messages definitions
  * Update README.md and releasePackage.md
  * Clean up readme
  * Fix position accuracy
  * Replace pow by multiplication
  * Complete README.md
  * Fix bugs in message wrapper and complete message definitions
  * Fix Z GPS velocity
  * Fix frame convention errors
  * Merge pull request #59 <https://github.com/SBG-Systems/sbg_ros_driver/issues/59> from SBG-Systems/fix-frame-id
    Fix param name
  * Fix param name
  * Fix inconsistent tab and spaces usages.
    Now all files are using spaces
  * Add wrap 2PI
  * Fix bugs
  * Fix matrix accuracy
  * Fix course
  * wrapper: Fix ENU->NED for GPS messages
  * warpper: Change createrVector3 names
  * wrapper: Fix setter
  * wrapper: Fix missing ENU conversion an add comment for cov
  * wrapper: Fix regresion
  * coding style : Remove tables
  * publisher: Configure the wrapper before init the publisher
  * main: Fix loopFrequency type
  * config: Restore output configuration
  * config: Replace enu by use_enu
  * enu: Replace enu by use_enu and rename frame convertion function
  * frame_id: Change default value
  * clean up
  * #51 <https://github.com/SBG-Systems/sbg_ros_driver/issues/51> - Correctly fill convariances parameters
  * project: Update maintainer
  * config: Update parameters
  * #45 <https://github.com/SBG-Systems/sbg_ros_driver/issues/45>-#50 <https://github.com/SBG-Systems/sbg_ros_driver/issues/50> - Add parameters to set frame ID and ENU convention
  * #48 <https://github.com/SBG-Systems/sbg_ros_driver/issues/48> - # 52 Add a parameter to select header stamp source and read ROS time when publishing the message
  * #47 <https://github.com/SBG-Systems/sbg_ros_driver/issues/47> Remove node ros::Rate period auto computation and only read it from a node parameter
  * clean up: Remove blank spaces
  * Merge pull request #35 <https://github.com/SBG-Systems/sbg_ros_driver/issues/35> from ShepelIlya/patch-1
    Fixed time_stamp value initializing in SbgEkfNavMessage.
  * Added/updated license to MIT
  * Updated maintainer
  * Fixed timeStamp value initializing in SbgEkfNavMessage.
  * Contributors: Michael Zemb, Raphael Siryani, ShepelIlya, bsaussay, rsiryani

 -- SBG Systems <support@sbg-systems.com>  Mon, 30 Aug 2021 22:00:00 -0000

ros-noetic-sbg-driver (2.0.3-7buster) buster; urgency=high

  * Improve matrix handling
  * Fix body velocity computation (Issue #31 <https://github.com/SBG-Systems/sbg_ros_driver/issues/31>)

 -- SBG Systems <support@sbg-systems.com>  Tue, 31 Mar 2020 22:00:00 -0000

ros-noetic-sbg-driver (2.0.1-7buster) buster; urgency=high

  * Improve vector handling
  * Fix include file (Issue #26 <https://github.com/SBG-Systems/sbg_ros_driver/issues/26>)

 -- SBG Systems <support@sbg-systems.com>  Thu, 23 Jan 2020 23:00:00 -0000

ros-noetic-sbg-driver (2.0.0-7buster) buster; urgency=high

  * Fix integer type
  * Update sbgECom messages (AirData, ImuShort)
  * Update sbgECom library to 1.11.920-stable
  * Improve numeric type
  * Improve configuration applier
  * Improve error handling
  * Code improvement
  * Improve device configuration
  * Update changelog
  * Update and improve README.md
  * Update magnetic services
  * Improve message timestamping
  * Add some ROS standard sensor messages (Issue #17 <https://github.com/SBG-Systems/sbg_ros_driver/issues/17>)
  * Comply file structure to ROS best pratices
  * Add a processing time to improve message handling
  * Add udev rules to documentation (Issue #21 <https://github.com/SBG-Systems/sbg_ros_driver/issues/21>)
  * Improve magnetometers calibration
  * Update maintainer of the package (Issue #20 <https://github.com/SBG-Systems/sbg_ros_driver/issues/20>)
  * Enable/Disable the configuration of the device (Issue #19 <https://github.com/SBG-Systems/sbg_ros_driver/issues/19>)
  * Define unified class and launch files for all SBG devices
  * Define classes for device configuration
  * Merge pull request #18 <https://github.com/SBG-Systems/sbg_ros_driver/issues/18> from SBG-Systems/messagePublisherRework
  * Integrate new message publisher to the Ellipse class (Issue #15 <https://github.com/SBG-Systems/sbg_ros_driver/issues/15>)
  * Define a class to publish messages
  * Define class to wrap SBG logs to Ros messages
  * Merge pull request #16 <https://github.com/SBG-Systems/sbg_ros_driver/issues/16> from SBG-Systems/v4.3
  * [src] Update SDK version + add LogE support
  * Merge pull request #13 <https://github.com/SBG-Systems/sbg_ros_driver/issues/13> from nicolaje/remove-non-ascii-char

